Realiza o download de um arquivo de retorno no padrão CNAB 400.
curl --request GET \
--url https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download \
--header 'Authorization: <api-key>'import requests
url = "https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"sucesso": true,
"mensagem": "<string>"
}{
"sucesso": true,
"mensagem": "<string>"
}CNAB
31 - Download 200 Files
Scopes:
api.ext api.arquivo.downloadRealiza o download de um arquivo de retorno no padrão CNAB 400.
curl --request GET \
--url https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download \
--header 'Authorization: <api-key>'import requests
url = "https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ext.dbs.moneyp.dev.br/api/Arquivo/Download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"sucesso": true,
"mensagem": "<string>"
}{
"sucesso": true,
"mensagem": "<string>"
}Through this endpoint, the partner can download files of types 2001, 2002, 2003, and 2004. The file contents will contain payment records and confirmations. If the file is not processed, the return will not be successful.
Query Parameters
Nome completo do arquivo de retorno que se deseja baixar.*
Observações:
- O nome completo do arquivo é composto pelo nome e extensão do mesmo.
- A extensão do arquivo deverá ser fixa '.RET'.
- O nome completo do arquivo deve ser informado em caixa alta. Exemplo: CB27020004997.RET.
Response
Success
Was this page helpful?

